clear;
clc;
close all;

iaf.designation='00045';
iaf.n=2000;
iaf.HalfCosineSpacing=1;
iaf.wantFile=0;
iaf.datFilePath='./'; % Current folder
iaf.is_finiteTE=0;
af = naca5gen(iaf);

A_initial = 0.02^2/4*pi;

A = A_initial-flipud(af.zU)*1*A_initial;


path_length = 0.06;


%This computes combined area change and friction
%M1 = 0.7;
num_steps = length(af.xU);
gamma = 1.4;

n = 1;
%delta_A = (800-1000)/num_steps;
%delta_A = 0;
f = 0.04;
delta_x = path_length/num_steps;

M(n) = 0.45;
%A(n) = 1000;
D(n) = sqrt(4*A(n)/pi);
Pt(n) = 15;

%plot(A)


for n=2:num_steps;

    %A(n) = A(1)+(n-1)*delta_A;
    %compute diameter with equal circumference of that of the perimeter of
    %the area we are computing
    %side_length = sqrt(A(n)/2.598076211);
    D(n) = sqrt(4*A(n)/pi);
    %D(n) = side_length*6;
    delta_A = A(n)-A(n-1);
    
    RE(n) = D(n)/15.68e-6;
    
    E = (1+(gamma-1)/2*M(n-1)^2)/(1-M(n-1)^2);
    B = 2*M(n-1)^2*E*delta_A/A(n-1);
    C = 4*f*gamma*M(n-1)^4*E*(delta_x/D(n-1));
    
    M(n) = sqrt(M(n-1)^2 - B + C);
    Pt(n) = Pt(n-1)-2*Pt(n-1)*f*gamma*M(n)^2*(delta_x/D(n));

end

%M(end)
%Pt(end)

hold on
x_axis = linspace(0,path_length,num_steps);
plot(x_axis,A/max(A),'k')
plot(x_axis,M,'r')
plot(x_axis,Pt/max(Pt),'b')
legend('geometry','Mach Number','Pt/max(Pt)');
